Page 116 of 169 FirstFirst ... 1666106114115116117118126166 ... LastLast
Results 1,151 to 1,160 of 1689

Thread: HOW TO: Set up the HP TX2z and Dell XT & XT2 (N-trig digitizer) in Ubuntu

  1. #1151
    Join Date
    Nov 2009
    Location
    In a Pokemon World
    Beans
    36
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: HOW TO: Set up the HP TX2z and Dell XT & XT2 (N-trig digitizer) in Ubuntu

    I don't have an N-Trig MultiTouch listed in xinput... maybe I should go check my Windws 7 for drivers.

  2. #1152
    Join Date
    Nov 2008
    Beans
    9,635
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: HOW TO: Set up the HP TX2z and Dell XT & XT2 (N-trig digitizer) in Ubuntu

    Right. The firmware version and the software package version it came in.

  3. #1153
    Join Date
    Aug 2005
    Beans
    33

    Re: HOW TO: Set up the HP TX2z and Dell XT & XT2 (N-trig digitizer) in Ubuntu

    I switched from Ubuntu to Opensuse 11.3 (printing problems on Ubuntu at work) and am trying to get my tx2z-1000 to work again.

    The default suse kernel/xorg recognizes both pen and touch, but does not list them in xsetwacom list -- therefore, no control.

    I used the 61-xxx udev rules from pg 102 and the corresponding xorg.conf -- it then lists touch/stylus but nothing responds. Is it a matter of rerouting 'id' numbers? Or is their xorg code too old.

    I can still use touch/stylus - but I can't place my hand on the screen and write in xournal since I can't turn the touch portion off.

    I've searched for suse specific stuff - but the one wiki article that was apparently helpful got munched in their wiki upgrade. Thanks for any help you can offer.

  4. #1154
    Join Date
    Apr 2007
    Location
    Mount Horeb, WI
    Beans
    4,312
    Distro
    Kubuntu Development Release

    Re: HOW TO: Set up the HP TX2z and Dell XT & XT2 (N-trig digitizer) in Ubuntu

    Quote Originally Posted by markginter24 View Post
    I switched from Ubuntu to Opensuse 11.3 (printing problems on Ubuntu at work) and am trying to get my tx2z-1000 to work again.

    The default suse kernel/xorg recognizes both pen and touch, but does not list them in xsetwacom list -- therefore, no control.

    I used the 61-xxx udev rules from pg 102 and the corresponding xorg.conf -- it then lists touch/stylus but nothing responds. Is it a matter of rerouting 'id' numbers? Or is their xorg code too old.

    I can still use touch/stylus - but I can't place my hand on the screen and write in xournal since I can't turn the touch portion off.

    I've searched for suse specific stuff - but the one wiki article that was apparently helpful got munched in their wiki upgrade. Thanks for any help you can offer.
    Have you checked /var/log/Xorg.0.log? My guess is that the Wacom driver there might be an older version that does not recognize the N-trig device. It might just be a matter of compiling a newer version of the Wacom driver from the git repositories.

  5. #1155
    Join Date
    Aug 2005
    Beans
    33

    Re: HOW TO: Set up the HP TX2z and Dell XT & XT2 (N-trig digitizer) in Ubuntu

    [ 27.105] (II) LoadModule: "wacom"
    [ 27.111] (II) Loading /usr/lib/xorg/modules/input/wacom_drv.so
    [ 27.111] (II) Module wacom: vendor="X.Org Foundation"
    [ 27.111] compiled for 1.8.0, module version = 0.10.5


    Dunno what that means - but that's what's there.

  6. #1156
    Join Date
    Aug 2005
    Beans
    33

    Re: HOW TO: Set up the HP TX2z and Dell XT & XT2 (N-trig digitizer) in Ubuntu

    Not to sound too needy - but what would it take to compile the wacom driver from git? I'm assuming it would just replace the wacom driver that's currently being used and not the whole X system of modules?

  7. #1157
    Join Date
    Apr 2007
    Location
    Mount Horeb, WI
    Beans
    4,312
    Distro
    Kubuntu Development Release

    Re: HOW TO: Set up the HP TX2z and Dell XT & XT2 (N-trig digitizer) in Ubuntu

    Quote Originally Posted by markginter24 View Post
    Not to sound too needy - but what would it take to compile the wacom driver from git? I'm assuming it would just replace the wacom driver that's currently being used and not the whole X system of modules?
    I am not for sure about the name of the packages that you might need before compiling. I am currently looking at this guide to see the apt-get build-dep equivalent in openSUSE and it looks like it is zypper build-deps-install. You might try:
    Code:
    zypper build-deps-install x11-input-wacom
    As for building the wacom driver:
    Code:
    cd
    git clone git://linuxwacom.git.sourceforge.net/gitroot/linuxwacom/xf86-input-wacom
    cd xf86-input-wacom
    ./autogen.sh --prefix=/usr
    make && sudo make install
    I hope that helps.

    Looking at your previous post, if that is all that is shown for the Wacom driver, then it did not seem to find the N-trig device.
    Last edited by Ayuthia; August 28th, 2010 at 02:12 AM. Reason: Fixed a missing sudo

  8. #1158
    Join Date
    Aug 2005
    Beans
    33

    Re: HOW TO: Set up the HP TX2z and Dell XT & XT2 (N-trig digitizer) in Ubuntu

    After getting all the autoconf, automake stuff installed and setting up sources repositories I get to this point ...

    configure.ac:44: error: xorg-macros version 1.8 or higher is required but 1.6.0 found

    This seems to be a problem. No way to force a git package to compile against an older version of xorg-macros? I'm assuming 'required' means 'required'. Hmph.

  9. #1159
    Join Date
    Nov 2008
    Beans
    9,635
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: HOW TO: Set up the HP TX2z and Dell XT & XT2 (N-trig digitizer) in Ubuntu

    You'll have to translate the following from Debian/Ubuntu to Opensuse syntax:
    Code:
    wget http://xorg.freedesktop.org/releases/individual/util/util-macros-1.8.0.tar.bz2
    
    sudo cp /usr/share/aclocal/xorg-macros.m4 /usr/share/aclocal/xorg-macros.m4.bak
    
    tar xjvf util-macros-1.8.0.tar.bz2
    
    cd util-macros-1.8.0
    
    ./configure --prefix=/usr
    
    make
    
    sudo make install

  10. #1160
    Join Date
    Apr 2007
    Location
    Mount Horeb, WI
    Beans
    4,312
    Distro
    Kubuntu Development Release

    Re: HOW TO: Set up the HP TX2z and Dell XT & XT2 (N-trig digitizer) in Ubuntu

    Quote Originally Posted by markginter24 View Post
    After getting all the autoconf, automake stuff installed and setting up sources repositories I get to this point ...

    configure.ac:44: error: xorg-macros version 1.8 or higher is required but 1.6.0 found

    This seems to be a problem. No way to force a git package to compile against an older version of xorg-macros? I'm assuming 'required' means 'required'. Hmph.
    EDIT: Please try what Favux said. I read the error as the xorg-server, not the macro.

    It just means that you have to use the other version that is built for xorg 1.7 and older.

    Try using this:
    Code:
    cd
    mkdir wacom
    cd wacom
    wget -c http://linuxfans.keryxproject.org/packages/wacom/ntrig/source/linuxwacom-0.8.8-8.tar.bz2
    tar -xvjf linuxwacom-0.8.8-8.tar.bz2
    cd linuxwacom-0.8.8-8
    ./configure --prefix=/usr
    make
    sudo make install
    Last edited by Ayuthia; August 28th, 2010 at 02:13 AM. Reason: Misread error message

Page 116 of 169 FirstFirst ... 1666106114115116117118126166 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •